oracle.jdbc

## Interface OracleDataFactory

    public interface OracleDataFactory

OracleData factory interface.

This interface complements OracleData. It is passed to getObject() to create customized OracleData objects. The following example shows the typical use of this interface:

      EmpFactory factory = new EmpFactory();
      OracleResultSet rs = ... ;
      Emp m = (Emp) rs.getObject(column, factory);
      ...

This interface is the replacement of the ORADataFactory

### Method Summary

All Methods Instance Methods Abstract Methods
`OracleData` `create(Object jdbcValue, int sqlType)` Create an OracleData from a jdbc Object

### Method Detail

#### create

    OracleData create(Object jdbcValue,
                      int sqlType)
               throws SQLException

Create an OracleData from a jdbc Object

This method creates the customized OracleData from a jdbc Object. Sometimes, it is convenient to have the same class implement both OracleData and OracleDataFactory.

Parameters:
  `jdbcValue` - The jdbc Object to be used to initialize the Object being created.
  `sqlType` - The SQL type of the specified Datum.
Returns:
  an Object that embeds information from jdbcValue.
Throws:
  `SQLException` - if an error occurred.

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.